package com.biganto.visual.roompark.presentation.screen.splash

import com.biganto.visual.roompark.base.RoomParkMainActivity
import com.biganto.visual.roompark.conductor.BigantoBasePresenter
import io.reactivex.Observable
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


class SplashScreenPresenter @Inject constructor(
    var acitivityContext: RoomParkMainActivity
//    ,var context:Context

)
    : BigantoBasePresenter<SplashScreen, SplashScreenViewState>() {



    override fun bindIntents() {
        val state = restoreStateObservable
            .mergeWith(Observable.just(SplashScreenViewState.ToScreen(acitivityContext.javaClass.toString())))
        subscribeViewState(state.cast(SplashScreenViewState::class.java), SplashScreen::render)
    }

}